"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Highlighter = exports.generateFileHighlights = exports.generateFileHighlightsFromTags = void 0;
const Highlighter_1 = require("./Highlighter");
Object.defineProperty(exports, "Highlighter", { enumerable: true, get: function () { return Highlighter_1.Highlighter; } });
function generateFileHighlightsFromTags(fileTags, code, contentPath) {
    return __awaiter(this, void 0, void 0, function* () {
        const highlighter = yield Highlighter_1.Highlighter.create(fileTags, code, contentPath);
        if (!highlighter)
            return;
        return highlighter.toHighlights();
    });
}
exports.generateFileHighlightsFromTags = generateFileHighlightsFromTags;
function generateFileHighlights(source, linesOfInterest, contentPath) {
    return __awaiter(this, void 0, void 0, function* () {
        const highlighter = yield Highlighter_1.Highlighter.createFromLOI(linesOfInterest, source, contentPath);
        if (!highlighter)
            return;
        return highlighter.toHighlights();
    });
}
exports.generateFileHighlights = generateFileHighlights;
//# sourceMappingURL=index.js.map