import { Tag, IContentPath, Source, AST } from '../tagger';
import { LineOfInterest } from '../highlighter/common';
export declare class Outliner {
    readonly source: Source;
    readonly linesOfInterest: LineOfInterest[];
    readonly ast: AST;
    static create(fileTags: Tag[], code: string, contentPath: IContentPath): Promise<Outliner | undefined>;
    static createFromLOI(linesOfInterest: LineOfInterest[], source: Source, contentPath: IContentPath): Promise<Outliner | undefined>;
    constructor(source: Source, linesOfInterest: LineOfInterest[], ast: AST);
    toHighlights(): string | undefined;
}
